## GdkDisplayManager

GdkDisplayManager — Maintains a list of all open GdkDisplays

## Synopsis

    #include <gdk/gdk.h>

    struct      GdkDisplayManager;
    GdkDisplayManager* gdk_display_manager_get  (void);
    GdkDisplay* gdk_display_manager_get_default_display
                                                (GdkDisplayManager *display_manager);
    void        gdk_display_manager_set_default_display
                                                (GdkDisplayManager *display_manager,
                                                 GdkDisplay *display);
    GSList*     gdk_display_manager_list_displays
                                                (GdkDisplayManager *display_manager);
    GdkDevice*  gdk_display_get_core_pointer    (GdkDisplay *display);

## Object Hierarchy

      GObject
       +----GdkDisplayManager

## Properties

      "default-display"      GdkDisplay           : Read / Write

## Signal Prototypes

    "display-opened"
                void        user_function      (GdkDisplayManager *gdkdisplaymanager,
                                                GdkDisplay *arg1,
                                                gpointer user_data);

## Description

The purpose of the GdkDisplayManager singleton object is to offer notification when displays appear or disappear or the default display changes.

## Details

### struct GdkDisplayManager

    struct GdkDisplayManager;

The GdkDisplayManager struct has no interesting fields.

Since 2.2

### gdk_display_manager_get ()

    GdkDisplayManager* gdk_display_manager_get  (void);

Returns the global GdkDisplayManager singleton; gdk_parse_pargs(), gdk_init(), or gdk_init_check() must have been called first.

Returns : | the singleton GdkDisplayManager object.

Since 2.2

### gdk_display_manager_get_default_display ()

    GdkDisplay* gdk_display_manager_get_default_display
                                                (GdkDisplayManager *display_manager);

Gets the default GdkDisplay.

`display_manager` : | a GdkDisplayManager
Returns : | a GdkDisplay, or `NULL` if there is no default display.

Since 2.2

### gdk_display_manager_set_default_display ()

    void        gdk_display_manager_set_default_display
                                                (GdkDisplayManager *display_manager,
                                                 GdkDisplay *display);

Sets `display` as the default display.

`display_manager` : | a GdkDisplayManager
`display` : | a GdkDisplay

Since 2.2

### gdk_display_manager_list_displays ()

    GSList*     gdk_display_manager_list_displays
                                                (GdkDisplayManager *display_manager);

List all currently open displays.

`display_manager` : | a GdkDisplayManager
Returns : | a newly allocated GSList of GdkDisplay objects. Free this list with g_slist_free() when you are done with it.

Since 2.2

### gdk_display_get_core_pointer ()

    GdkDevice*  gdk_display_get_core_pointer    (GdkDisplay *display);

Returns the core pointer device for the given display

`display` : | a GdkDisplay
Returns : | the core pointer device; this is owned by the display and should not be freed.

Since 2.2

## Properties

"`default-display`" (GdkDisplay : Read / Write) | The default display for GDK.

## Signals

### The "display-opened" signal

    void        user_function                  (GdkDisplayManager *gdkdisplaymanager,
                                                GdkDisplay *arg1,
                                                gpointer user_data);

`gdkdisplaymanager` : | the object which received the signal.
`arg1` : |
`user_data` : | user data set when the signal handler was connected.